Loading...
Searching...
No Matches
UnrollLoops.h File Reference

Defines the lowering pass that unrolls loops marked as such. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::unroll_loops (const Stmt &)
| Take a statement with for loops marked for unrolling, and convert each into several copies of the innermost statement.

## Detailed Description

Defines the lowering pass that unrolls loops marked as such.

Definition in file UnrollLoops.h.